package com.yunfeiyun.agmp.fms.domain.resvo;

import lombok.Data;

@Data
public class WmsChangeApplyListResVo {
    /** 变化申请标识 */
    private String changeapplyId;
    /** 变化申请业务类型 */
    private String changeapplyBiztype;
    /** 申请人姓名 */
    private String userName;
    /** 申请人 */
    private String changeapplyApplyer;
    /** 出入库时间 */
    private String changeapplyInoutdate;
    /** 申请时间 */
    private String changeapplyApplydate;
    /** 变化申请方式 */
    private String changeapplyWay;
    public String getChangeWay(){
        if(changeapplyBiztype.contains("IN")){
            return "1";
        }
        if(changeapplyBiztype.contains("OUT")){
            return "2";
        }
        return null;
    }
    public String getChangeWayContent(){
        if(changeapplyBiztype.contains("IN")){
            return "入库";
        }
        if(changeapplyBiztype.contains("OUT")){
            return "出库";
        }
        return null;
    }
}
